Debian Bug report logs - #348782
ipw2200: BUG: soft lockup detected on CPU#0!

version graph

Package: linux-image-2.6.15-1-686; Maintainer for linux-image-2.6.15-1-686 is (unknown);

Reported by: Martin Wilck <mwilck@arcor.de>

Date: Wed, 18 Jan 2006 23:48:07 UTC

Severity: important

Found in versions linux-image-2.6.15-1-686/2.6.15-1, linux-image-2.6-686/2.6.15-8

Fixed in version 2.6.16-2

Done: Roland Stigge <stigge@antcom.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Martin Wilck <mwilck@arcor.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Wilck <mwilck@arcor.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ipw2200: BUG: soft lockup detected on CPU#0!
Date: Wed, 18 Jan 2006 23:42:03 +0100
Package: linux-image-2.6.15-1-686
Version: 2.6.15-1
Severity: important

I just got the following BUG. I copied the message by hand so it's not a
perfect backtrace; I apologize for that.

comm: ipw2200
EIP is at __queue_work+3e
EFLAGS 00200246 Not tainted
eax: f4ba5650 ebx: f44db268 ECX: 00000001 EDX: f4ba5650
ESI: f4ba5648 EDI: 00200246 EBP: f44da670 DS: 007b ES: 007b
CR0: 8005003b CR2: b7dbe080 CR3: 1fd17000 CR4: 000006d0
queue_work+27
ipw_associate+172
ipw_bg_associate+0x14
worker_thread+0x140
ipw_bg_associate+0x0
default_wake_function+0x0
worker_thread+0
kthread+68
kthread+0
kernel_thread_helper+5

The problem occured in the following situation: I had forgotten to
switch on my access point. The laptop had booted. Then I realized I had
to switch on the AP, did it, and shortly after - bang.

The last command in the syslog was
kernel: ipw2200: Failed to send ASSOCIATE: Already sending a command.

It looks as if the ipw2200 driver gets confused sending several
commands, and never releases the CPU.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (90, 'unstable'), (90, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages linux-image-2.6.15-1-686 depends on:
ii  initramfs-tools [linux-initra 0.46       tools for generating an initramfs
ii  module-init-tools             3.2.2-1    tools for managing Linux kernel mo

Versions of packages linux-image-2.6.15-1-686 recommends:
ii  libc6-i686                    2.3.5-11   GNU C Library: Shared libraries [i

-- debconf information excluded



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org, linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: [2.6.15-6 aha152x-cs] BUG: soft lockup detected on CPUU#0!
Date: Wed, 15 Feb 2006 21:51:48 +0100
    hi all,

  let's start with a reminder of the original bug (
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348782 ) «
I just got the following BUG. I copied the message by hand so
it's not a perfect backtrace; I apologize for that.

comm: ipw2200
EIP is at __queue_work+3e
EFLAGS 00200246 Not tainted
eax: f4ba5650 ebx: f44db268 ECX: 00000001 EDX: f4ba5650
ESI: f4ba5648 EDI: 00200246 EBP: f44da670 DS: 007b ES: 007b
CR0: 8005003b CR2: b7dbe080 CR3: 1fd17000 CR4: 000006d0
queue_work+27
ipw_associate+172
ipw_bg_associate+0x14
worker_thread+0x140
ipw_bg_associate+0x0
default_wake_function+0x0
worker_thread+0
kthread+68
kthread+0
kernel_thread_helper+5 »

  I have a similar problem with linux-image-2.6.15-1-686
(2.6.15-6) when I use all the scsi hardware (cd-rom, cd-burner,
2*dd): (I copy the message by hand)

BUG: soft lockup detected on CPUU#0!
Pid: 4, comm:        events/0
EIP: 0060 [<c0121d40>]CPU:0
EIP is at worker_thread+0x129/0x19f
  EFLAGS: 00000246 Not tainted (2.6.15-1-686)
EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
[<c8c7c31a>] run+0x0/0x3b [aha152_cs]
[<c0113708>] default_wake_function+0x0/0x12
[<c0121c17>] worker_thread+0x0/0x19f
[<c0124bd0>] kthread+0x68/0x95
[<c0124b68>] kthread+0x68/0x95
[<c01012a9>] kernel_thread_helper+0x5/0xb

  when I don't use the scsi hardware (only the pcmcia card
plugged), I got some problems (see:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=352997 or
http://lists.infradead.org/pipermail/linux-pcmcia/2006-February/003262.html
which looks like
http://lists.infradead.org/pipermail/linux-pcmcia/2006-February/003248.html
)

    hope this helps,
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org
Subject: Re: Bug#348782: [2.6.15-6 aha152x-cs] BUG: soft lockup detected on CPUU#0!
Date: Thu, 23 Feb 2006 23:30:38 +0100
    hello,

On Wed, Feb 15, 2006 at 09:51:48PM +0100, Philippe Bourcier wrote:
>   let's start with a reminder of the original bug (
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348782 ) «
> I just got the following BUG. I copied the message by hand so
> it's not a perfect backtrace; I apologize for that.
> 
> comm: ipw2200
> EIP is at __queue_work+3e
> EFLAGS 00200246 Not tainted
> eax: f4ba5650 ebx: f44db268 ECX: 00000001 EDX: f4ba5650
> ESI: f4ba5648 EDI: 00200246 EBP: f44da670 DS: 007b ES: 007b
> CR0: 8005003b CR2: b7dbe080 CR3: 1fd17000 CR4: 000006d0
> queue_work+27
> ipw_associate+172
> ipw_bg_associate+0x14
> worker_thread+0x140
> ipw_bg_associate+0x0
> default_wake_function+0x0
> worker_thread+0
> kthread+68
> kthread+0
> kernel_thread_helper+5 »
> 
>   I have a similar problem with linux-image-2.6.15-1-686
> (2.6.15-6) when I use all the scsi hardware (cd-rom, cd-burner,
> 2*dd): (I copy the message by hand)

  same problem with new update:
linux-image-2.6.15-1-686           2.6.15-7

> BUG: soft lockup detected on CPUU#0!
> Pid: 4, comm:        events/0
> EIP: 0060 [<c0121d40>]CPU:0
> EIP is at worker_thread+0x129/0x19f
>   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> [<c0113708>] default_wake_function+0x0/0x12
> [<c0121c17>] worker_thread+0x0/0x19f
> [<c0124bd0>] kthread+0x68/0x95
> [<c0124b68>] kthread+0x68/0x95
> [<c01012a9>] kernel_thread_helper+0x5/0xb

    best regards,
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 348782@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Philippe Bourcier <buffalo.phil@free.fr>, 348782@bugs.debian.org
Subject: Re: Bug#348782: [2.6.15-6 aha152x-cs] BUG: soft lockup detected on CPUU#0!
Date: Sun, 26 Feb 2006 01:48:16 +0100
hello philippe,

On Thu, 23 Feb 2006, Philippe Bourcier wrote:

> On Wed, Feb 15, 2006 at 09:51:48PM +0100, Philippe Bourcier wrote:
> >   let's start with a reminder of the original bug (
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348782 ) «
> > I just got the following BUG. I copied the message by hand so
> > it's not a perfect backtrace; I apologize for that.
> > 
> > comm: ipw2200
> > EIP is at __queue_work+3e
> > EFLAGS 00200246 Not tainted
> > eax: f4ba5650 ebx: f44db268 ECX: 00000001 EDX: f4ba5650
> > ESI: f4ba5648 EDI: 00200246 EBP: f44da670 DS: 007b ES: 007b
> > CR0: 8005003b CR2: b7dbe080 CR3: 1fd17000 CR4: 000006d0
> > queue_work+27
> > ipw_associate+172
> > ipw_bg_associate+0x14
> > worker_thread+0x140
> > ipw_bg_associate+0x0
> > default_wake_function+0x0
> > worker_thread+0
> > kthread+68
> > kthread+0
> > kernel_thread_helper+5 »
urrgs never seen that on the ipw2200 i have my hands on,
which version of the intel firmware are you using:
ls /lib/firmware/

> >   I have a similar problem with linux-image-2.6.15-1-686
> > (2.6.15-6) when I use all the scsi hardware (cd-rom, cd-burner,
> > 2*dd): (I copy the message by hand)
 
when is that happening?
please post dmesg with affected devices.

>   same problem with new update:
> linux-image-2.6.15-1-686           2.6.15-7
> 
> > BUG: soft lockup detected on CPUU#0!
> > Pid: 4, comm:        events/0
> > EIP: 0060 [<c0121d40>]CPU:0
> > EIP is at worker_thread+0x129/0x19f
> >   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> > EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> > ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> > CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> > [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> > [<c0113708>] default_wake_function+0x0/0x12
> > [<c0121c17>] worker_thread+0x0/0x19f
> > [<c0124bd0>] kthread+0x68/0x95
> > [<c0124b68>] kthread+0x68/0x95
> > [<c01012a9>] kernel_thread_helper+0x5/0xb
> 
>     best regards,
> -- 
>                                            /             \
>                                           ((__-^^-,-^^-__))
>  .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
> : :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
> `. `'                                          \  `  /     // \\
>   `-   Linux Counter registered user #290012    ): :(     /(   )\
>                                                 :o_o:      ^^-^^
>                                                  "-"
-- 
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org
Cc: Martin Wilck <mwilck@arcor.de>
Subject: Re: Bug#348782: [2.6.15-6 aha152x-cs] BUG: soft lockup detected on CPUU#0!
Date: Sun, 26 Feb 2006 17:01:51 +0100
    hi Maximilian, Martin and all,

On Sun, Feb 26, 2006 at 01:48:16AM +0100, maximilian attems wrote:
> On Thu, 23 Feb 2006, Philippe Bourcier wrote:
> > On Wed, Feb 15, 2006 at 09:51:48PM +0100, Philippe Bourcier wrote:
> > >   let's start with a reminder of the original bug (
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348782 ) «
> > > I just got the following BUG. I copied the message by hand so
> > > it's not a perfect backtrace; I apologize for that.
> > > 
> > > comm: ipw2200
> > > EIP is at __queue_work+3e
> > > EFLAGS 00200246 Not tainted
> > > eax: f4ba5650 ebx: f44db268 ECX: 00000001 EDX: f4ba5650
> > > ESI: f4ba5648 EDI: 00200246 EBP: f44da670 DS: 007b ES: 007b
> > > CR0: 8005003b CR2: b7dbe080 CR3: 1fd17000 CR4: 000006d0
> > > queue_work+27
> > > ipw_associate+172
> > > ipw_bg_associate+0x14
> > > worker_thread+0x140
> > > ipw_bg_associate+0x0
> > > default_wake_function+0x0
> > > worker_thread+0
> > > kthread+68
> > > kthread+0
> > > kernel_thread_helper+5 »
> urrgs never seen that on the ipw2200 i have my hands on,
> which version of the intel firmware are you using:
> ls /lib/firmware/

  hmmmm... as I said above, «let's start with a reminder of the
original bug (
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=348782 ) »
the "original" bug wasn't post by me but by Martin
 
  this is my part:

> > >   I have a similar problem with linux-image-2.6.15-1-686
> > > (2.6.15-6) when I use all the scsi hardware (cd-rom, cd-burner,
> > > 2*dd): (I copy the message by hand)
>  
> when is that happening?

  when I use the scsi hardware (cd-rom, cd-burner,2*dd) with my
scsi pcmcia card (aha152x). When I don't use all the scsi
hardware, but only the scsi card, everything is ok.

> please post dmesg with affected devices.

  the boot process doesn't finish: the kernel crash
 
> >   same problem with new update:
> > linux-image-2.6.15-1-686           2.6.15-7
> > 
> > > BUG: soft lockup detected on CPUU#0!
> > > Pid: 4, comm:        events/0
> > > EIP: 0060 [<c0121d40>]CPU:0
> > > EIP is at worker_thread+0x129/0x19f
> > >   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> > > EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> > > ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> > > CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> > > [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> > > [<c0113708>] default_wake_function+0x0/0x12
> > > [<c0121c17>] worker_thread+0x0/0x19f
> > > [<c0124bd0>] kthread+0x68/0x95
> > > [<c0124b68>] kthread+0x68/0x95
> > > [<c01012a9>] kernel_thread_helper+0x5/0xb
> > 
> >     best regards,

    ask more if you need,
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: Debian Bug Tracking System <348782@bugs.debian.org>
Cc: linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: linux-image-2.6-686: [aha152_cs] BUG: soft lockup detected on CPUU#0!
Date: Wed, 8 Mar 2006 23:00:43 +0100
Package: linux-image-2.6-686
Version: 2.6.15-8
Followup-For: Bug #348782


    hi all,

debian 2.6.15-8 doesn't resolve:

I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
laptop with a pcmcia card:
Adaptec, Inc. - APA-1460 SCSI Host Adapter
when I keep the tower shuted, everything is ok: I can boot with the card
inserted
when I power on the tower, the boot crash:
(I copy the message by hand)

BUG: soft lockup detected on CPUU#0!
Pid: 4, comm:        events/0
EIP: 0060 [<c0121d40>]CPU:0
EIP is at worker_thread+0x129/0x19f
  EFLAGS: 00000246 Not tainted (2.6.15-1-686)
EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
[<c8c7c31a>] run+0x0/0x3b [aha152_cs]
[<c0113708>] default_wake_function+0x0/0x12
[<c0121c17>] worker_thread+0x0/0x19f
[<c0124bd0>] kthread+0x68/0x95
[<c0124b68>] kthread+0x68/0x95
[<c01012a9>] kernel_thread_helper+0x5/0xb

  I remember 2.6.14 worked regarding this

and, hmmm... I am little bit afraid by the following, since 2.4 work
perfect regarding this bug:
 < - = - = - = - = - = - = - = - = - = - = - = - = - = - = - >
Date: Wed, 8 Mar 2006 19:19:19 +0100
To: debian-devel-announce@lists.debian.org

...
End of line
~~~~~~~~~~~
linux-2.4 is officially deprecated.  After having several
releases where your Linux kernel choice was as wide as stretching
between 2.2 - 2.6 it is finally time to concentrate on 2.6 only.
Currently Simon Horman does a bulk of linux-2.4 upstream security
support and testing against latest CVEs.  Almost no other vendor
provides 2.4 security support and it is unreasonable to even
think about that burden in the etch time frame.
 < - = - = - = - = - = - = - = - = - = - = - = - = - = - = - >

  ask more whatever you need,

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)

Versions of packages linux-image-2.6-686 depends on:
ii  linux-image-2.6.15-1-686      2.6.15-8   Linux kernel 2.6.15 image on PPro/

linux-image-2.6-686 recommends no packages.

-- no debconf information

-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@sternwelten.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 348782@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@sternwelten.at>
To: Philippe Bourcier <buffalo.phil@free.fr>, 348782@bugs.debian.org
Subject: Re: Bug#348782: linux-image-2.6-686: [aha152_cs] BUG: soft lockup detected on CPUU#0!
Date: Wed, 8 Mar 2006 23:40:52 +0100
hello philippe!

On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
>     hi all,
> 
> debian 2.6.15-8 doesn't resolve:

did you try the version of experimental as indicated in the announce
mail you were quoting?
 
> I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> laptop with a pcmcia card:
> Adaptec, Inc. - APA-1460 SCSI Host Adapter
> when I keep the tower shuted, everything is ok: I can boot with the card
> inserted
> when I power on the tower, the boot crash:
> (I copy the message by hand)

please test with latest rc in experimental.

--
maks



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org
Subject: Re: Bug#348782: linux-image-2.6-686: [aha152_cs] BUG: soft lockup detected on CPUU#0!
Date: Fri, 10 Mar 2006 12:38:28 +0100
    hi all,

On Wed, Mar 08, 2006 at 11:40:52PM +0100, maximilian attems wrote:
> On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
> > debian 2.6.15-8 doesn't resolve:
> 
> did you try the version of experimental as indicated in the announce
> mail you were quoting?

  see below
  
> > I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> > laptop with a pcmcia card:
> > Adaptec, Inc. - APA-1460 SCSI Host Adapter
> > when I keep the tower shuted, everything is ok: I can boot with the card
> > inserted
> > when I power on the tower, the boot crash:
> > (I copy the message by hand)
> 
> please test with latest rc in experimental.

  I don't understand very well; do you mean linux-source-2.6.16?
I don't see any linux-image-2.6.*
Thanks

  have a good day

PS: I subscribe to this list; do not cc me on replies
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org, linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: Re: Bug#348782: linux-image-2.6-686: [aha152_cs] BUG: soft lockup detected on CPUU#0!
Date: Wed, 15 Mar 2006 21:58:27 +0100
On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
> Package: linux-image-2.6-686
> Version: 2.6.15-8
> Followup-For: Bug #348782
> 
> 
>     hi all,
> 
> debian 2.6.15-8 doesn't resolve:
> 
> I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> laptop with a pcmcia card:
> Adaptec, Inc. - APA-1460 SCSI Host Adapter
> when I keep the tower shuted, everything is ok: I can boot with the card
> inserted
> when I power on the tower, the boot crash:
> (I copy the message by hand)
> 
> BUG: soft lockup detected on CPUU#0!
> Pid: 4, comm:        events/0
> EIP: 0060 [<c0121d40>]CPU:0
> EIP is at worker_thread+0x129/0x19f
>   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> [<c0113708>] default_wake_function+0x0/0x12
> [<c0121c17>] worker_thread+0x0/0x19f
> [<c0124bd0>] kthread+0x68/0x95
> [<c0124b68>] kthread+0x68/0x95
> [<c01012a9>] kernel_thread_helper+0x5/0xb
> 
>   I remember 2.6.14 worked regarding this

  I just updated from debian experimental:
linux-image-2.6.16-rc5-686  2.6.15+2.6.16-rc5-0experimental.1
Linux kernel 2.6.16 image on PPro/Celeron/PII/PIII/P4 machines

this one doesn't resolve
What can I do to help resolving this bug?
 
>   ask more whatever you need,
> 
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.15-1-686
> Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> 
> Versions of packages linux-image-2.6-686 depends on:
> ii  linux-image-2.6.15-1-686      2.6.15-8   Linux kernel 2.6.15 image on PPro/
> 
> linux-image-2.6-686 recommends no packages.
> 
> -- no debconf information
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org, linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: [aha152_cs] (scsi0:x:0) command sent incompletely (1/12) (was: Re: Bug#348782)
Date: Mon, 24 Apr 2006 13:23:34 +0200
    hi all,

  I looked at an old bug regarding my scsi hardware:

On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
> Package: linux-image-2.6-686
> Version: 2.6.15-8
> Followup-For: Bug #348782
[...]
> debian 2.6.15-8 doesn't resolve:
> 
> I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> laptop with a pcmcia card:
> Adaptec, Inc. - APA-1460 SCSI Host Adapter
> when I keep the tower shuted, everything is ok: I can boot with the card
> inserted
> when I power on the tower, the boot crash:
> (I copy the message by hand)
> 
> BUG: soft lockup detected on CPUU#0!
> Pid: 4, comm:        events/0
> EIP: 0060 [<c0121d40>]CPU:0
> EIP is at worker_thread+0x129/0x19f
>   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> [<c0113708>] default_wake_function+0x0/0x12
> [<c0121c17>] worker_thread+0x0/0x19f
> [<c0124bd0>] kthread+0x68/0x95
> [<c0124b68>] kthread+0x68/0x95
> [<c01012a9>] kernel_thread_helper+0x5/0xb
> 
[...]
> -- System Information:
> Debian Release: testing/unstable
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: i386 (i686)
> Shell:  /bin/sh linked to /bin/bash
> Kernel: Linux 2.6.15-1-686
> Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> 
> Versions of packages linux-image-2.6-686 depends on:
> ii  linux-image-2.6.15-1-686      2.6.15-8   Linux kernel 2.6.15 image on PPro/
> 
> linux-image-2.6-686 recommends no packages.
> 
> -- no debconf information

now, it "seems" to work...
just (scsi0:0:0) command sent incompletely (1/12)
and (scsi0:1:0) command sent incompletely (1/12)
annoys me; am I wrong?

$ uname -a
Linux ile 2.6.16-1-686 #2 Thu Apr 20 20:35:02 UTC 2006 i686
GNU/Linux
$ dmesg 
Linux version 2.6.16-1-686 (Debian 2.6.16-9) (waldi@debian.org)
(gcc version 4.0.3 (Debian 4.0.3-1)) #2 Thu Apr 20 20:35:02 UTC
2006
[...]
PCI: Found IRQ 11 for device 0000:00:03.0
Yenta: CardBus bridge found at 0000:00:03.0 [0000:0000]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:03.0, mfunc 0xcba97543, devctl 0x62
Yenta: ISA IRQ mask 0x06b8, PCI irq 11
Socket status: 30000010
PCI: Found IRQ 11 for device 0000:00:03.1
Yenta: CardBus bridge found at 0000:00:03.1 [0000:0000]
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:00:03.1, mfunc 0xcba97543, devctl 0x62
[...]
Yenta: ISA IRQ mask 0x06b8, PCI irq 11
Socket status: 30000010
[...]
pccard: PCMCIA card inserted into slot 0
pccard: PCMCIA card inserted into slot 1
[...]
cs: IO port probe 0x100-0x4ff: excluding 0x220-0x22f 0x300-0x307
0x378-0x37f 0x388-0x38f
cs: IO port probe 0x100-0x4ff: excluding 0x220-0x22f 0x300-0x307
0x378-0x37f 0x388-0x38f
cs: IO port probe 0x800-0x8ff: excluding 0x800-0x807
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xa00-0xaff: clean.
usb 1-1.4: configuration #1 chosen from 1 choice
cs: memory probe 0xa0000000-0xa0ffffff: clean.
pcmcia: registering new device pcmcia0.0
cs: IO port probe 0x800-0x8ff: excluding 0x800-0x807
cs: IO port probe 0xc00-0xcff: clean.
cs: IO port probe 0xa00-0xaff: clean.
cs: memory probe 0xa0000000-0xa0ffffff: excluding
0xa0000000-0xa00fffff
pcmcia: registering new device pcmcia1.0
[...]
SCSI subsystem initialized
aha152x: resetting bus...
aha152x0: vital data: rev=1, io=0x340 (0x340/0x340), irq=3,
scsiid=7, reconnect=enabled, parity=enabled, synchronous=enabled,
delay=100, extended translation=disabled
aha152x0: trying software interrupt, ok.
scsi0 : Adaptec 152x SCSI driver; $Revision: 2.7 $
(scsi0:0:0) Synchronous Data Transfer Request period = 200 ns
offset = 8 
  Vendor: IBM       Model: DNES-309170       Rev: SA30
  Type:   Direct-Access                      ANSI SCSI revision:
03
(scsi0:0:0) command sent incompletely (1/12)
(scsi0:1:0) Synchronous Data Transfer Request period = 200 ns
offset = 8 
  Vendor: IBM       Model: DNES-309170       Rev: SA30
  Type:   Direct-Access                      ANSI SCSI revision:
03
(scsi0:1:0) command sent incompletely (1/12)
(scsi0:2:0) Synchronous Data Transfer Request period = 200 ns
offset = 8 
  Vendor: PLEXTOR   Model: CD-ROM PX-40TS    Rev: 1.10
  Type:   CD-ROM                             ANSI SCSI revision:
02
(scsi0:3:0) Synchronous Data Transfer Request period = 200 ns
offset = 8 
  Vendor: YAMAHA    Model: CRW8424S          Rev: 1.0d
  Type:   CD-ROM                             ANSI SCSI revision:
02
[...]
SCSI device sda: 17916240 512-byte hdwr sectors (9173 MB)
ts: Compaq touchscreen protocol output
sda: Write Protect is off
sda: Mode Sense: c3 00 00 08
SCSI device sda: drive cache: write back
SCSI device sda: 17916240 512-byte hdwr sectors (9173 MB)
sda: Write Protect is off
sda: Mode Sense: c3 00 00 08
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
SCSI device sdb: 17916240 512-byte hdwr sectors (9173 MB)
sdb: Write Protect is off
sdb: Mode Sense: c3 00 00 08
SCSI device sdb: drive cache: write back
SCSI device sdb: 17916240 512-byte hdwr sectors (9173 MB)
sdb: Write Protect is off
sdb: Mode Sense: c3 00 00 08
SCSI device sdb: drive cache: write back
 sdb: sdb1
sd 0:0:1:0: Attached scsi disk sdb
sr0: scsi3-mmc drive: 0x/0x caddy
sr 0:0:2:0: Attached scsi CD-ROM sr0
sr1: scsi3-mmc drive: 24x/16x writer cd/rw xa/form2 cdda tray
sr 0:0:3:0: Attached scsi CD-ROM sr1
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 0:0:1:0: Attached scsi generic sg1 type 0
sr 0:0:2:0: Attached scsi generic sg2 type 5
sr 0:0:3:0: Attached scsi generic sg3 type 5
Device not ready. Make sure there is a disc in the drive.
Device not ready. Make sure there is a disc in the drive.
Device not ready. Make sure there is a disc in the drive.
[...]
$ sudo lshw -businfo
Bus info        Device       Class      Description
===================================================
[...]
                scsi0        storage    
scsi@0:0.0.0    /dev/sda     disk       DNES-309170
scsi@0:0.0.0,1  /dev/sda1    disk       FAT16 partition
scsi@0:0.0.0,2  /dev/sda2    disk       HPFS/NTFS partition
scsi@0:0.0.0,3  /dev/sda3    disk       HPFS/NTFS partition
scsi@0:0.1.0    /dev/sdb     disk       DNES-309170
scsi@0:0.1.0,1  /dev/sdb1    disk       Linux filesystem
partition
scsi@0:0.2.0    /dev/cdrom2  disk       CD-ROM PX-40TS
                /dev/cdrom2  disk       
scsi@0:0.3.0    /dev/cdrom1  disk       CRW8424S
                /dev/cdrom1  disk       
[...]
$ lspci -vv
[...]
0000:00:03.0 CardBus bridge: Texas Instruments PCI1250 (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168, Cache Line Size: 0x08 (32 bytes)
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 18010000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=01, subordinate=04, sec-latency=176
        Memory window 0: 10000000-11fff000 (prefetchable)
        Memory window 1: 12000000-13fff000
        I/O window 0: 00001800-000018ff
        I/O window 1: 00001c00-00001cff
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
        16-bit legacy interface ports at 0001

0000:00:03.1 CardBus bridge: Texas Instruments PCI1250 (rev 02)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 168, Cache Line Size: 0x08 (32 bytes)
        Interrupt: pin B routed to IRQ 11
        Region 0: Memory at 18011000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=00, secondary=05, subordinate=08, sec-latency=176
        Memory window 0: 14000000-15fff000 (prefetchable)
        Memory window 1: 16000000-17fff000
        I/O window 0: 00002000-000020ff
        I/O window 1: 00002400-000024ff
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
        16-bit legacy interface ports at 0001
[...]
$ cat /proc/interrupts
           CPU0       
  0:    2012276          XT-PIC  timer
  1:       3606          XT-PIC  i8042
  2:          0          XT-PIC  cascade
  3:       2009          XT-PIC  aha152x
  5:          3          XT-PIC  soundblaster
  7:          6          XT-PIC  parport0
  8:          4          XT-PIC  rtc
  9:        120          XT-PIC  pcmcia1.0
 11:      18157          XT-PIC  yenta, yenta, uhci_hcd:usb1
 12:        102          XT-PIC  i8042
 14:      12307          XT-PIC  ide0
 15:      17571          XT-PIC  ide1
NMI:          0 
LOC:          0 
ERR:          0
MIS:          0
$ sudo cardctl ident
[...]
Socket 0:
  product info: "Adaptec, Inc.", "APA-1460 SCSI Host Adapter",
"Version 0.01"
  manfid: 0x012f, 0x0002
[...]
~/tmp$ sudo ./cbdump 
00:03.0 CardBus bridge: Texas Instruments PCI1250
  -- generic cardbus config registers
  Vendor ID                      [00] : 0x104c
  Device ID                      [02] : 0xac16
  PCI command                    [04] : 0x0007
  Base address                   [10] : 0x18010000
  Memory Base 0                  [1c] : 0x10000000
  Memory Limit 0                 [20] : 0x11fff000
  Memory Base 1                  [24] : 0x12000000
  Memory Limit 1                 [28] : 0x13fff000
  IO Base 0                      [2c] : 0x00001800
  IO Limit 0                     [30] : 0x000018fc
  IO Base 1                      [34] : 0x00001c00
  IO Limit 1                     [38] : 0x00001cfc
  Bridge control                 [3e] : 0x05c0
  Subsystem vendor ID            [40] : 0x0000
  Subsystem device ID            [42] : 0x0000
  Legacy mode base               [44] : 0x0001
  -- TI specific config registers
  System control                 [80] : 0x0844f061
  IRQ Mux                        [8c] : 0xcba97523
  Retry                          [90] : 0xc0
  Card control                   [91] : 0x83
  Device control                 [92] : 0x62
  Diagnostic                     [93] : 0x61
  -- cardbus registers
  CB_SOCKET_EVENT                [00] : 0x00000000
  CB_SOCKET_MASK                 [04] : 0x00000006
  CB_SOCKET_STATE                [08] : 0x30000459
  CB_SOCKET_FORCE                [0c] : 0x00000000
  CB_SOCKET_CONTROL              [10] : 0x00000020
  CB_SOCKET_POWER                [20] : 0x00000000
  -- exca registers
  I365_IDENT                     [00] : 0x84
  I365_STATUS                    [01] : 0x7f
  I365_POWER                     [02] : 0x90
  I365_INTCTL                    [03] : 0x73
  I365_CSC                       [04] : 0x00
  I365_CSCINT                    [05] : 0x08
  I365_ADDRWIN                   [06] : 0x41
  I365_IOCTL                     [07] : 0x02
  I365_GENCTL                    [16] : 0x00c0
  I365_GBLCTL                    [1e] : 0x0000
  I365_IO0_START                 [08] : 0x0340
  I365_IO0_STOP                  [0a] : 0x035f
  I365_IO1_START                 [0c] : 0x0000
  I365_IO1_STOP                  [0e] : 0x0001
  I365_MEM0_START                [10] : 0x0000
  I365_MEM0_STOP                 [12] : 0x8000
  I365_MEM0_OFF                  [14] : 0x4002
  I365_MEM0_PAGE                 [40] : 0xa0
  I365_MEM1_START                [18] : 0x0000
  I365_MEM1_STOP                 [1a] : 0x0000
  I365_MEM1_OFF                  [1c] : 0x0000
  I365_MEM1_PAGE                 [41] : 0x00
  I365_MEM2_START                [20] : 0x0000
  I365_MEM2_STOP                 [22] : 0x0000
  I365_MEM2_OFF                  [24] : 0x0000
  I365_MEM2_PAGE                 [42] : 0x00
  I365_MEM3_START                [28] : 0x0000
  I365_MEM3_STOP                 [2a] : 0x0000
  I365_MEM3_OFF                  [2c] : 0x0000
  I365_MEM3_PAGE                 [43] : 0x00
  I365_MEM4_START                [30] : 0x0000
  I365_MEM4_STOP                 [32] : 0x0000
  I365_MEM4_OFF                  [34] : 0x0000
  I365_MEM4_PAGE                 [44] : 0x00

00:03.1 CardBus bridge: Texas Instruments PCI1250
  -- generic cardbus config registers
  Vendor ID                      [00] : 0x104c
  Device ID                      [02] : 0xac16
  PCI command                    [04] : 0x0007
  Base address                   [10] : 0x18011000
  Memory Base 0                  [1c] : 0x14000000
  Memory Limit 0                 [20] : 0x15fff000
  Memory Base 1                  [24] : 0x16000000
  Memory Limit 1                 [28] : 0x17fff000
  IO Base 0                      [2c] : 0x00002000
  IO Limit 0                     [30] : 0x000020fc
  IO Base 1                      [34] : 0x00002400
  IO Limit 1                     [38] : 0x000024fc
  Bridge control                 [3e] : 0x05c0
  Subsystem vendor ID            [40] : 0x0000
  Subsystem device ID            [42] : 0x0000
  Legacy mode base               [44] : 0x0001
  -- TI specific config registers
  System control                 [80] : 0x0844f061
  IRQ Mux                        [8c] : 0xcba97523
  Retry                          [90] : 0xc0
  Card control                   [91] : 0x83
  Device control                 [92] : 0x62
  Diagnostic                     [93] : 0x61
  -- cardbus registers
  CB_SOCKET_EVENT                [00] : 0x00000000
  CB_SOCKET_MASK                 [04] : 0x00000006
  CB_SOCKET_STATE                [08] : 0x30000459
  CB_SOCKET_FORCE                [0c] : 0x00000000
  CB_SOCKET_CONTROL              [10] : 0x00000020
  CB_SOCKET_POWER                [20] : 0x00000000
  -- exca registers
  I365_IDENT                     [00] : 0x84
  I365_STATUS                    [01] : 0x6f
  I365_POWER                     [02] : 0x90
  I365_INTCTL                    [03] : 0x79
  I365_CSC                       [04] : 0x00
  I365_CSCINT                    [05] : 0x08
  I365_ADDRWIN                   [06] : 0x41
  I365_IOCTL                     [07] : 0x01
  I365_GENCTL                    [16] : 0x00c0
  I365_GBLCTL                    [1e] : 0x0000
  I365_IO0_START                 [08] : 0x0310
  I365_IO0_STOP                  [0a] : 0x031f
  I365_IO1_START                 [0c] : 0x0000
  I365_IO1_STOP                  [0e] : 0x0001
  I365_MEM0_START                [10] : 0x0100
  I365_MEM0_STOP                 [12] : 0x8100
  I365_MEM0_OFF                  [14] : 0x7f00
  I365_MEM0_PAGE                 [40] : 0xa0
  I365_MEM1_START                [18] : 0x0000
  I365_MEM1_STOP                 [1a] : 0x0000
  I365_MEM1_OFF                  [1c] : 0x0000
  I365_MEM1_PAGE                 [41] : 0x00
  I365_MEM2_START                [20] : 0x0000
  I365_MEM2_STOP                 [22] : 0x0000
  I365_MEM2_OFF                  [24] : 0x0000
  I365_MEM2_PAGE                 [42] : 0x00
  I365_MEM3_START                [28] : 0x0000
  I365_MEM3_STOP                 [2a] : 0x0000
  I365_MEM3_OFF                  [2c] : 0x0000
  I365_MEM3_PAGE                 [43] : 0x00
  I365_MEM4_START                [30] : 0x0000
  I365_MEM4_STOP                 [32] : 0x0000
  I365_MEM4_OFF                  [34] : 0x0000
  I365_MEM4_PAGE                 [44] : 0x00

  ask if you need more,

    hope this will help,
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to "Randy.Dunlap" <rdunlap@xenotime.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #55 received at 348782@bugs.debian.org (full text, mbox):

From: "Randy.Dunlap" <rdunlap@xenotime.net>
To: Philippe Bourcier <buffalo.phil@free.fr>
Cc: 348782@bugs.debian.org, linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: Re: [aha152_cs] (scsi0:x:0) command sent incompletely (1/12) (was: Re: Bug#348782)
Date: Mon, 24 Apr 2006 07:25:38 -0700 (PDT)
On Mon, 24 Apr 2006, Philippe Bourcier wrote:

>     hi all,
>
>   I looked at an old bug regarding my scsi hardware:
>
> On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
> > Package: linux-image-2.6-686
> > Version: 2.6.15-8
> > Followup-For: Bug #348782
> [...]
> > debian 2.6.15-8 doesn't resolve:
> >
> > I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> > laptop with a pcmcia card:
> > Adaptec, Inc. - APA-1460 SCSI Host Adapter
> > when I keep the tower shuted, everything is ok: I can boot with the card
> > inserted
> > when I power on the tower, the boot crash:
> > (I copy the message by hand)
> >
> > BUG: soft lockup detected on CPUU#0!
> > Pid: 4, comm:        events/0
> > EIP: 0060 [<c0121d40>]CPU:0
> > EIP is at worker_thread+0x129/0x19f
> >   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> > EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> > ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> > CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> > [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> > [<c0113708>] default_wake_function+0x0/0x12
> > [<c0121c17>] worker_thread+0x0/0x19f
> > [<c0124bd0>] kthread+0x68/0x95
> > [<c0124b68>] kthread+0x68/0x95
> > [<c01012a9>] kernel_thread_helper+0x5/0xb
> >
> [...]
> > -- System Information:
> > Debian Release: testing/unstable
> >   APT prefers unstable
> >   APT policy: (500, 'unstable')
> > Architecture: i386 (i686)
> > Shell:  /bin/sh linked to /bin/bash
> > Kernel: Linux 2.6.15-1-686
> > Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> >
> > Versions of packages linux-image-2.6-686 depends on:
> > ii  linux-image-2.6.15-1-686      2.6.15-8   Linux kernel 2.6.15 image on PPro/
> >
> > linux-image-2.6-686 recommends no packages.
> >
> > -- no debconf information
>
> now, it "seems" to work...
> just (scsi0:0:0) command sent incompletely (1/12)
> and (scsi0:1:0) command sent incompletely (1/12)
> annoys me; am I wrong?

I've looked at this driver a lot in the past 2 weeks (from a
SCSI viewpoint, not PCMCIA).  It does not handle highmem
(> 1 GB) scatter/gather lists correctly at all, so for me
to use it successfully, I have to set:
	.unchecked_isa_dma = 1,
in the scsi host template.  However, if your system has <= 1 GB
of RAM or you are using a kernel that does not support highmem,
that should not be an issue for you.

> $ uname -a
> Linux ile 2.6.16-1-686 #2 Thu Apr 20 20:35:02 UTC 2006 i686
> GNU/Linux
> $ dmesg
> Linux version 2.6.16-1-686 (Debian 2.6.16-9) (waldi@debian.org)
> (gcc version 4.0.3 (Debian 4.0.3-1)) #2 Thu Apr 20 20:35:02 UTC
> 2006
> [...]
> PCI: Found IRQ 11 for device 0000:00:03.0
> Yenta: CardBus bridge found at 0000:00:03.0 [0000:0000]
> Yenta: Enabling burst memory read transactions
> Yenta: Using CSCINT to route CSC interrupts to PCI
> Yenta: Routing CardBus interrupts to PCI
> Yenta TI: socket 0000:00:03.0, mfunc 0xcba97543, devctl 0x62
> Yenta: ISA IRQ mask 0x06b8, PCI irq 11
> Socket status: 30000010
> PCI: Found IRQ 11 for device 0000:00:03.1
> Yenta: CardBus bridge found at 0000:00:03.1 [0000:0000]
> Yenta: Using CSCINT to route CSC interrupts to PCI
> Yenta: Routing CardBus interrupts to PCI
> Yenta TI: socket 0000:00:03.1, mfunc 0xcba97543, devctl 0x62
> [...]
> Yenta: ISA IRQ mask 0x06b8, PCI irq 11
> Socket status: 30000010
> [...]
> pccard: PCMCIA card inserted into slot 0
> pccard: PCMCIA card inserted into slot 1
> [...]
> cs: IO port probe 0x100-0x4ff: excluding 0x220-0x22f 0x300-0x307
> 0x378-0x37f 0x388-0x38f
> cs: IO port probe 0x100-0x4ff: excluding 0x220-0x22f 0x300-0x307
> 0x378-0x37f 0x388-0x38f
> cs: IO port probe 0x800-0x8ff: excluding 0x800-0x807
> cs: IO port probe 0xc00-0xcff: clean.
> cs: IO port probe 0xa00-0xaff: clean.
> usb 1-1.4: configuration #1 chosen from 1 choice
> cs: memory probe 0xa0000000-0xa0ffffff: clean.
> pcmcia: registering new device pcmcia0.0
> cs: IO port probe 0x800-0x8ff: excluding 0x800-0x807
> cs: IO port probe 0xc00-0xcff: clean.
> cs: IO port probe 0xa00-0xaff: clean.
> cs: memory probe 0xa0000000-0xa0ffffff: excluding
> 0xa0000000-0xa00fffff
> pcmcia: registering new device pcmcia1.0
> [...]
> SCSI subsystem initialized
> aha152x: resetting bus...
> aha152x0: vital data: rev=1, io=0x340 (0x340/0x340), irq=3,
> scsiid=7, reconnect=enabled, parity=enabled, synchronous=enabled,
> delay=100, extended translation=disabled
> aha152x0: trying software interrupt, ok.
> scsi0 : Adaptec 152x SCSI driver; $Revision: 2.7 $
> (scsi0:0:0) Synchronous Data Transfer Request period = 200 ns
> offset = 8
>   Vendor: IBM       Model: DNES-309170       Rev: SA30
>   Type:   Direct-Access                      ANSI SCSI revision:
> 03
> (scsi0:0:0) command sent incompletely (1/12)
> (scsi0:1:0) Synchronous Data Transfer Request period = 200 ns
> offset = 8
>   Vendor: IBM       Model: DNES-309170       Rev: SA30
>   Type:   Direct-Access                      ANSI SCSI revision:
> 03
> (scsi0:1:0) command sent incompletely (1/12)
> (scsi0:2:0) Synchronous Data Transfer Request period = 200 ns
> offset = 8
>   Vendor: PLEXTOR   Model: CD-ROM PX-40TS    Rev: 1.10
>   Type:   CD-ROM                             ANSI SCSI revision:
> 02
> (scsi0:3:0) Synchronous Data Transfer Request period = 200 ns
> offset = 8
>   Vendor: YAMAHA    Model: CRW8424S          Rev: 1.0d
>   Type:   CD-ROM                             ANSI SCSI revision:
> 02
> [...]
> SCSI device sda: 17916240 512-byte hdwr sectors (9173 MB)
> ts: Compaq touchscreen protocol output
> sda: Write Protect is off
> sda: Mode Sense: c3 00 00 08
> SCSI device sda: drive cache: write back
> SCSI device sda: 17916240 512-byte hdwr sectors (9173 MB)
> sda: Write Protect is off
> sda: Mode Sense: c3 00 00 08
> SCSI device sda: drive cache: write back
>  sda: sda1 sda2 sda3
> sd 0:0:0:0: Attached scsi disk sda
> SCSI device sdb: 17916240 512-byte hdwr sectors (9173 MB)
> sdb: Write Protect is off
> sdb: Mode Sense: c3 00 00 08
> SCSI device sdb: drive cache: write back
> SCSI device sdb: 17916240 512-byte hdwr sectors (9173 MB)
> sdb: Write Protect is off
> sdb: Mode Sense: c3 00 00 08
> SCSI device sdb: drive cache: write back
>  sdb: sdb1
> sd 0:0:1:0: Attached scsi disk sdb
> sr0: scsi3-mmc drive: 0x/0x caddy
> sr 0:0:2:0: Attached scsi CD-ROM sr0
> sr1: scsi3-mmc drive: 24x/16x writer cd/rw xa/form2 cdda tray
> sr 0:0:3:0: Attached scsi CD-ROM sr1
> sd 0:0:0:0: Attached scsi generic sg0 type 0
> sd 0:0:1:0: Attached scsi generic sg1 type 0
> sr 0:0:2:0: Attached scsi generic sg2 type 5
> sr 0:0:3:0: Attached scsi generic sg3 type 5
> Device not ready. Make sure there is a disc in the drive.
> Device not ready. Make sure there is a disc in the drive.
> Device not ready. Make sure there is a disc in the drive.
> [...]
> $ sudo lshw -businfo
> Bus info        Device       Class      Description
> ===================================================
> [...]
>                 scsi0        storage
> scsi@0:0.0.0    /dev/sda     disk       DNES-309170
> scsi@0:0.0.0,1  /dev/sda1    disk       FAT16 partition
> scsi@0:0.0.0,2  /dev/sda2    disk       HPFS/NTFS partition
> scsi@0:0.0.0,3  /dev/sda3    disk       HPFS/NTFS partition
> scsi@0:0.1.0    /dev/sdb     disk       DNES-309170
> scsi@0:0.1.0,1  /dev/sdb1    disk       Linux filesystem
> partition
> scsi@0:0.2.0    /dev/cdrom2  disk       CD-ROM PX-40TS
>                 /dev/cdrom2  disk
> scsi@0:0.3.0    /dev/cdrom1  disk       CRW8424S
>                 /dev/cdrom1  disk
> [...]
> $ lspci -vv
> [...]
> 0000:00:03.0 CardBus bridge: Texas Instruments PCI1250 (rev 02)
>         Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>         Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>         Latency: 168, Cache Line Size: 0x08 (32 bytes)
>         Interrupt: pin A routed to IRQ 11
>         Region 0: Memory at 18010000 (32-bit, non-prefetchable) [size=4K]
>         Bus: primary=00, secondary=01, subordinate=04, sec-latency=176
>         Memory window 0: 10000000-11fff000 (prefetchable)
>         Memory window 1: 12000000-13fff000
>         I/O window 0: 00001800-000018ff
>         I/O window 1: 00001c00-00001cff
>         BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
>         16-bit legacy interface ports at 0001
>
> 0000:00:03.1 CardBus bridge: Texas Instruments PCI1250 (rev 02)
>         Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
>         Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
>         Latency: 168, Cache Line Size: 0x08 (32 bytes)
>         Interrupt: pin B routed to IRQ 11
>         Region 0: Memory at 18011000 (32-bit, non-prefetchable) [size=4K]
>         Bus: primary=00, secondary=05, subordinate=08, sec-latency=176
>         Memory window 0: 14000000-15fff000 (prefetchable)
>         Memory window 1: 16000000-17fff000
>         I/O window 0: 00002000-000020ff
>         I/O window 1: 00002400-000024ff
>         BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
>         16-bit legacy interface ports at 0001
> [...]
> $ cat /proc/interrupts
>            CPU0
>   0:    2012276          XT-PIC  timer
>   1:       3606          XT-PIC  i8042
>   2:          0          XT-PIC  cascade
>   3:       2009          XT-PIC  aha152x
>   5:          3          XT-PIC  soundblaster
>   7:          6          XT-PIC  parport0
>   8:          4          XT-PIC  rtc
>   9:        120          XT-PIC  pcmcia1.0
>  11:      18157          XT-PIC  yenta, yenta, uhci_hcd:usb1
>  12:        102          XT-PIC  i8042
>  14:      12307          XT-PIC  ide0
>  15:      17571          XT-PIC  ide1
> NMI:          0
> LOC:          0
> ERR:          0
> MIS:          0
> $ sudo cardctl ident
> [...]
> Socket 0:
>   product info: "Adaptec, Inc.", "APA-1460 SCSI Host Adapter",
> "Version 0.01"
>   manfid: 0x012f, 0x0002
> [...]
> ~/tmp$ sudo ./cbdump
> 00:03.0 CardBus bridge: Texas Instruments PCI1250
>   -- generic cardbus config registers
>   Vendor ID                      [00] : 0x104c
>   Device ID                      [02] : 0xac16
>   PCI command                    [04] : 0x0007
>   Base address                   [10] : 0x18010000
>   Memory Base 0                  [1c] : 0x10000000
>   Memory Limit 0                 [20] : 0x11fff000
>   Memory Base 1                  [24] : 0x12000000
>   Memory Limit 1                 [28] : 0x13fff000
>   IO Base 0                      [2c] : 0x00001800
>   IO Limit 0                     [30] : 0x000018fc
>   IO Base 1                      [34] : 0x00001c00
>   IO Limit 1                     [38] : 0x00001cfc
>   Bridge control                 [3e] : 0x05c0
>   Subsystem vendor ID            [40] : 0x0000
>   Subsystem device ID            [42] : 0x0000
>   Legacy mode base               [44] : 0x0001
>   -- TI specific config registers
>   System control                 [80] : 0x0844f061
>   IRQ Mux                        [8c] : 0xcba97523
>   Retry                          [90] : 0xc0
>   Card control                   [91] : 0x83
>   Device control                 [92] : 0x62
>   Diagnostic                     [93] : 0x61
>   -- cardbus registers
>   CB_SOCKET_EVENT                [00] : 0x00000000
>   CB_SOCKET_MASK                 [04] : 0x00000006
>   CB_SOCKET_STATE                [08] : 0x30000459
>   CB_SOCKET_FORCE                [0c] : 0x00000000
>   CB_SOCKET_CONTROL              [10] : 0x00000020
>   CB_SOCKET_POWER                [20] : 0x00000000
>   -- exca registers
>   I365_IDENT                     [00] : 0x84
>   I365_STATUS                    [01] : 0x7f
>   I365_POWER                     [02] : 0x90
>   I365_INTCTL                    [03] : 0x73
>   I365_CSC                       [04] : 0x00
>   I365_CSCINT                    [05] : 0x08
>   I365_ADDRWIN                   [06] : 0x41
>   I365_IOCTL                     [07] : 0x02
>   I365_GENCTL                    [16] : 0x00c0
>   I365_GBLCTL                    [1e] : 0x0000
>   I365_IO0_START                 [08] : 0x0340
>   I365_IO0_STOP                  [0a] : 0x035f
>   I365_IO1_START                 [0c] : 0x0000
>   I365_IO1_STOP                  [0e] : 0x0001
>   I365_MEM0_START                [10] : 0x0000
>   I365_MEM0_STOP                 [12] : 0x8000
>   I365_MEM0_OFF                  [14] : 0x4002
>   I365_MEM0_PAGE                 [40] : 0xa0
>   I365_MEM1_START                [18] : 0x0000
>   I365_MEM1_STOP                 [1a] : 0x0000
>   I365_MEM1_OFF                  [1c] : 0x0000
>   I365_MEM1_PAGE                 [41] : 0x00
>   I365_MEM2_START                [20] : 0x0000
>   I365_MEM2_STOP                 [22] : 0x0000
>   I365_MEM2_OFF                  [24] : 0x0000
>   I365_MEM2_PAGE                 [42] : 0x00
>   I365_MEM3_START                [28] : 0x0000
>   I365_MEM3_STOP                 [2a] : 0x0000
>   I365_MEM3_OFF                  [2c] : 0x0000
>   I365_MEM3_PAGE                 [43] : 0x00
>   I365_MEM4_START                [30] : 0x0000
>   I365_MEM4_STOP                 [32] : 0x0000
>   I365_MEM4_OFF                  [34] : 0x0000
>   I365_MEM4_PAGE                 [44] : 0x00
>
> 00:03.1 CardBus bridge: Texas Instruments PCI1250
>   -- generic cardbus config registers
>   Vendor ID                      [00] : 0x104c
>   Device ID                      [02] : 0xac16
>   PCI command                    [04] : 0x0007
>   Base address                   [10] : 0x18011000
>   Memory Base 0                  [1c] : 0x14000000
>   Memory Limit 0                 [20] : 0x15fff000
>   Memory Base 1                  [24] : 0x16000000
>   Memory Limit 1                 [28] : 0x17fff000
>   IO Base 0                      [2c] : 0x00002000
>   IO Limit 0                     [30] : 0x000020fc
>   IO Base 1                      [34] : 0x00002400
>   IO Limit 1                     [38] : 0x000024fc
>   Bridge control                 [3e] : 0x05c0
>   Subsystem vendor ID            [40] : 0x0000
>   Subsystem device ID            [42] : 0x0000
>   Legacy mode base               [44] : 0x0001
>   -- TI specific config registers
>   System control                 [80] : 0x0844f061
>   IRQ Mux                        [8c] : 0xcba97523
>   Retry                          [90] : 0xc0
>   Card control                   [91] : 0x83
>   Device control                 [92] : 0x62
>   Diagnostic                     [93] : 0x61
>   -- cardbus registers
>   CB_SOCKET_EVENT                [00] : 0x00000000
>   CB_SOCKET_MASK                 [04] : 0x00000006
>   CB_SOCKET_STATE                [08] : 0x30000459
>   CB_SOCKET_FORCE                [0c] : 0x00000000
>   CB_SOCKET_CONTROL              [10] : 0x00000020
>   CB_SOCKET_POWER                [20] : 0x00000000
>   -- exca registers
>   I365_IDENT                     [00] : 0x84
>   I365_STATUS                    [01] : 0x6f
>   I365_POWER                     [02] : 0x90
>   I365_INTCTL                    [03] : 0x79
>   I365_CSC                       [04] : 0x00
>   I365_CSCINT                    [05] : 0x08
>   I365_ADDRWIN                   [06] : 0x41
>   I365_IOCTL                     [07] : 0x01
>   I365_GENCTL                    [16] : 0x00c0
>   I365_GBLCTL                    [1e] : 0x0000
>   I365_IO0_START                 [08] : 0x0310
>   I365_IO0_STOP                  [0a] : 0x031f
>   I365_IO1_START                 [0c] : 0x0000
>   I365_IO1_STOP                  [0e] : 0x0001
>   I365_MEM0_START                [10] : 0x0100
>   I365_MEM0_STOP                 [12] : 0x8100
>   I365_MEM0_OFF                  [14] : 0x7f00
>   I365_MEM0_PAGE                 [40] : 0xa0
>   I365_MEM1_START                [18] : 0x0000
>   I365_MEM1_STOP                 [1a] : 0x0000
>   I365_MEM1_OFF                  [1c] : 0x0000
>   I365_MEM1_PAGE                 [41] : 0x00
>   I365_MEM2_START                [20] : 0x0000
>   I365_MEM2_STOP                 [22] : 0x0000
>   I365_MEM2_OFF                  [24] : 0x0000
>   I365_MEM2_PAGE                 [42] : 0x00
>   I365_MEM3_START                [28] : 0x0000
>   I365_MEM3_STOP                 [2a] : 0x0000
>   I365_MEM3_OFF                  [2c] : 0x0000
>   I365_MEM3_PAGE                 [43] : 0x00
>   I365_MEM4_START                [30] : 0x0000
>   I365_MEM4_STOP                 [32] : 0x0000
>   I365_MEM4_OFF                  [34] : 0x0000
>   I365_MEM4_PAGE                 [44] : 0x00
>
>   ask if you need more,
>
>     hope this will help,

-- 
~Randy



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Philippe Bourcier <buffalo.phil@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #60 received at 348782@bugs.debian.org (full text, mbox):

From: Philippe Bourcier <buffalo.phil@free.fr>
To: 348782@bugs.debian.org, linux-pcmcia <linux-pcmcia@lists.infradead.org>
Subject: Re: [aha152_cs] (scsi0:x:0) command sent incompletely (1/12) (was: Re: Bug#348782)
Date: Mon, 24 Apr 2006 16:48:46 +0200
On Mon, Apr 24, 2006 at 07:25:38AM -0700, Randy.Dunlap wrote:
> On Mon, 24 Apr 2006, Philippe Bourcier wrote:
> 
> >     hi all,
> >
> >   I looked at an old bug regarding my scsi hardware:
> >
> > On Wed, Mar 08, 2006 at 11:00:43PM +0100, Philippe Bourcier wrote:
> > > Package: linux-image-2.6-686
> > > Version: 2.6.15-8
> > > Followup-For: Bug #348782
> > [...]
> > > debian 2.6.15-8 doesn't resolve:
> > >
> > > I have a scsi tower (2*dd, cdrom reader, cdrom burner) connected to my
> > > laptop with a pcmcia card:
> > > Adaptec, Inc. - APA-1460 SCSI Host Adapter
> > > when I keep the tower shuted, everything is ok: I can boot with the card
> > > inserted
> > > when I power on the tower, the boot crash:
> > > (I copy the message by hand)
> > >
> > > BUG: soft lockup detected on CPUU#0!
> > > Pid: 4, comm:        events/0
> > > EIP: 0060 [<c0121d40>]CPU:0
> > > EIP is at worker_thread+0x129/0x19f
> > >   EFLAGS: 00000246 Not tainted (2.6.15-1-686)
> > > EAX: c8c83084  EBX: c8c83084  ECX: c8c83080  EDX: c8c83084
> > > ESI: c7ff59a0  EDI: 00000246  EBP: 00000000  DS: 0076  ES:007b
> > > CR0: 8005003b  CR2: bfd25124  CR3: 076e3000  CR4: 00000240
> > > [<c8c7c31a>] run+0x0/0x3b [aha152_cs]
> > > [<c0113708>] default_wake_function+0x0/0x12
> > > [<c0121c17>] worker_thread+0x0/0x19f
> > > [<c0124bd0>] kthread+0x68/0x95
> > > [<c0124b68>] kthread+0x68/0x95
> > > [<c01012a9>] kernel_thread_helper+0x5/0xb
> > >
> > [...]
> > > -- System Information:
> > > Debian Release: testing/unstable
> > >   APT prefers unstable
> > >   APT policy: (500, 'unstable')
> > > Architecture: i386 (i686)
> > > Shell:  /bin/sh linked to /bin/bash
> > > Kernel: Linux 2.6.15-1-686
> > > Locale: LANG=en_US.UTF-8, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
> > >
> > > Versions of packages linux-image-2.6-686 depends on:
> > > ii  linux-image-2.6.15-1-686      2.6.15-8   Linux kernel 2.6.15 image on PPro/
> > >
> > > linux-image-2.6-686 recommends no packages.
> > >
> > > -- no debconf information
> >
> > now, it "seems" to work...
> > just (scsi0:0:0) command sent incompletely (1/12)
> > and (scsi0:1:0) command sent incompletely (1/12)
> > annoys me; am I wrong?
> 
> I've looked at this driver a lot in the past 2 weeks (from a
> SCSI viewpoint, not PCMCIA).  It does not handle highmem
> (> 1 GB) scatter/gather lists correctly at all, so for me
> to use it successfully, I have to set:
> 	.unchecked_isa_dma = 1,
> in the scsi host template.  However, if your system has <= 1 GB
> of RAM or you are using a kernel that does not support highmem,
> that should not be an issue for you.

$ cat /proc/meminfo 
MemTotal:       127220 kB
[...]
> >
> >     hope this will help,
-- 
                                           /             \
                                          ((__-^^-,-^^-__))
 .''`.          Philippe BOURCIER          `-_---' `---_-'  .-.
: :' :  http://bourcier.philippe.online.fr  `--|o` 'o|--'   /V\
`. `'                                          \  `  /     // \\
  `-   Linux Counter registered user #290012    ): :(     /(   )\
                                                :o_o:      ^^-^^
                                                 "-"



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#348782; Package linux-image-2.6.15-1-686. Full text and rfc822 format available.

Acknowledgement sent to Martin Wilck <mwilck@arcor.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #65 received at 348782@bugs.debian.org (full text, mbox):

From: Martin Wilck <mwilck@arcor.de>
To: 348782@bugs.debian.org
Subject: ipw2200 problem solved with 2.6.16-2
Date: Wed, 28 Jun 2006 02:14:41 +0200
I apologize for having been so silent. The ipw2200 problem is gone
(hasn't been reproducable) since I upgraded to kernel 2.6.16-2. As far
as it regards my initial bu report, the bug can be closed.

Martin



Reply sent to Roland Stigge <stigge@antcom.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Wilck <mwilck@arcor.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #70 received at 348782-done@bugs.debian.org (full text, mbox):

From: Roland Stigge <stigge@antcom.de>
To: 348782-done@bugs.debian.org, Philippe Bourcier <buffalo.phil@free.fr>, "Randy.Dunlap" <rdunlap@xenotime.net>
Subject: ipw2200: BUG: soft lockup detected on CPU#0!
Date: Mon, 04 Sep 2006 11:25:38 +0200
Version: 2.6.16-2

Hi,

the original Bug reporter said his issue is fixed. Therefore I'm closing
it. If the other issues still persist, please report new bugs, otherwise
they are difficult to handle here.

Thanks,

Roland



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 03:33:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:21:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.